@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;    
    box-sizing: border-box;
    scroll-behavior: smooth;
}

/* *******Hot sales carousel root****** */

:root {
    --item1-transform: translateX(-100%) translateY(-5%) scale(1.5);
    --item1-filter: blur(30px);
    --item1-zIndex: 11;
    --item1-opacity: 0;

    --item2-transform: translateX(0);
    --item2-filter: blur(0px);
    --item2-zIndex: 10;
    --item2-opacity: 1;

    --item3-transform: translate(50%,10%) scale(0.8);
    --item3-filter: blur(10px);
    --item3-zIndex: 9;
    --item3-opacity: 1;

    --item4-transform: translate(90%,20%) scale(0.5);
    --item4-filter: blur(30px);
    --item4-zIndex: 8;
    --item4-opacity: 1;
    
    --item5-transform: translate(120%,30%) scale(0.3);
    --item5-filter: blur(40px);
    --item5-zIndex: 7;
    --item5-opacity: 0;
}


body {
    background: #000000;
    font-family: "Roboto", sans-serif;
}

/* Reoccuring */

a {
    text-decoration: none;    
}
li {
    list-style: none;
}

/* *******************HEADER***************************** */

header {
    position: absolute;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: transparent;
    padding: 30px 100px;
    transition: 0.5s;
    z-index: 1100;
}

.logo {
    position: relative;
    font-size: 30px;
    color: #FFFFFF;
    letter-spacing: 2px;
    font-weight: 800;
    text-transform: uppercase;
}

/* ******Nav******* */
.nav {
    display: flex;
    align-items: center;
}
.nav li {
    position: relative;
    margin: 0 20px;
}
.nav li a {
    color: #FFFFFF;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.5s;
    font-weight: 300;
    font-size: 1em;
    letter-spacing: 1px;
    padding: 1opx;
}
.nav li a:hover {
    color: #ff0051;
}

/* ***Mobile navigation*** */

.menu {
    display: none;
    transition: 0.5s;
}
.menu ion-icon {
    color: #FFFFFF;
    font-size: 1.6em;
}
.menu.active {
    transform: rotateZ(45deg);
}

.mobile-nav {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(20px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
    z-index: 990;
    gap: 20px;
}
.mobile-nav.active {
    visibility: visible;
    opacity: 1;
}
.mobile-nav li {
    position: relative;    
}
.mobile-nav li a {
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #FFFFFF;
    cursor: pointer;
    font-weight: 300;
    padding: 10px;
    transition: 0.5s;
}

/* ******Utilities******* */

.utilities {
    display: flex;
    align-items: center;
}
.utilities li {
    position: relative;
    margin: 0 2opx;
}
.utilities li a {
    color: #FFFFFF;
    transition: 0.5s;
}
.utilities li a ion-icon {
    font-size: 1.6rem;
}
.utilities li a:hover {
    color: #ff0051;
}
.utilities li .number {
    position: absolute;
    right: -1px;
    bottom: 2px;
    color: #FFFFFF;
    background: #ff0051;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    display: flex;   
    align-items: center;
    justify-content: center;
    font-size: 0.6em;
    font-weight: 400;
}

/* *******************HERO SECTION************************* */

#hero {
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 0 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
}

/* *****Section content****** */

#hero .content {
    position: absolute;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
    z-index: 900;    
}

#hero .content h1 {
    color: #FFFFFF;
    font-size: 4.5em;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
}
#hero .content p {
    color: #FFFFFF;
    font-weight: 200;
    font-size: 1em;
    margin-bottom: 20px;
    letter-spacing: 1px;
}
#hero .content a {
    position: relative;
    width: 200px;
    text-transform: uppercase;
    font-weight: 400;
    color: #FFFFFF;
    padding: 12px 20px;
    border: 1px solid #FFFFFF;
    border-radius: 10%;
    transition: 0.5s;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 1px;
}
#hero .content a ion-icon {
    font-size: 1.2em;
}
#hero .content a:hover {
    background: #FFFFFF;
    color: #ff0051;
}

#hero.left .office .content,
#hero.middle .casual .content,
#hero.right .special .content {
    opacity: 1;
    visibility: visible;
}

.office .content,
.special .content {
    left: 55%;
}
.casual .content {
    left: 100px;
}

/* *****Hero section bahaviour***** */


.office::before,
.casual::before,
.special::before {
    position: absolute;
    content: '';
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 100;
    transition: 0.5s;
}

.office:hover::before,
.casual:hover::before,
.special:hover::before {
    background: transparent;
}

.office {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 40%;
    clip-path: polygon(0% 0%, 75% 0%, 100% 50%, 75% 100%, 0% 100%);
    background: #ff0051;
    transition: 1s;
    display: flex;
    justify-content: center;
    align-items: center;
}
.casual {
    position: absolute;
    top: 0;
    left: 30%;
    height: 100%;
    width: 40%;
    clip-path: polygon(100% 0%, 75% 50%, 100% 100%, 0 100%, 25% 50%, 0 0);
    background: #6d6636;
    transition: 1s;
    display: flex;
    justify-content: center;
    align-items: center;
}
.special {
    position: absolute;
    top: 0;
    left: 60%;
    height: 100%;
    width: 40%;
    clip-path: polygon(25% 0%, 100% 1%, 100% 100%, 25% 100%, 0% 50%);
    background: #ff0051;
    transition: 1s;
    display: flex;
    justify-content: center;
    align-items: center;
}

#hero.left .office,
#hero.middle .casual,
#hero.right .special {
    width: 100%;
    clip-path: polygon(100% 0%, 100% 50%, 100% 100%, 0% 100%, 0 50%, 0 0);
    transition: 1s;
}

#hero.right .special {
    left: 0;
}
#hero.middle .casual {
    left: 0;
}

#hero.left .casual,
#hero.left .special {
    left: 120%;
}
#hero.right .casual,
#hero.right .office {
    left: -120%;
}

#hero.middle .office {
    left: -120%;
}
#hero.middle .special {
    left: 120%;
}

.office img,
.casual img,
.special img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: 0.5s;
}

#hero.left .office img,
#hero.right .special img {
    width: 50%;
}
#hero.middle .casual img {
    left: 50%;
    width: 50%;
}

/* *******Switch behaviour****** */


.switch {
    position: relative;
    color: #FFFFFF;
    text-transform: uppercase;
    font-size: 5em;
    font-weight: 300;
    margin-top: 40%;
    z-index: 1000;
    transition: 0.5s;
    transform: scale(1);
}
.switch:hover {
    transform: scale(1.2);
}

/* ****Reset***** */

.reset {
    position: absolute;
    left: 100px;
    bottom: 100px;
    z-index: 1000;
    transition: 0.5s;
}
.reset.active {
    transform: rotateZ(180deg);
}
.reset ion-icon {
    color: #FFFFFF;
    font-size: 3em;
    transition: 0.3s;
}
.reset ion-icon:hover {
    color: #ff0051;
}


/* **********MAIN BODY******** */

main {
    width: 100%;
    padding: 100px 0 0 0;   
    background: linear-gradient(
        #faf0f9,
        #faf0f9 25%,
        #faf0f9 50%,
        #fee6fc 75%        
    );
}

/* ***Call to action*** */

section.call {
    width: 100%;
    padding: 0 100px;
    margin: 100px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}
.call-box {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
    padding: 40px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.12);
    background: #f8dff5;    
}
.call-box ion-icon {
    font-size: 5em;
    color: #ff0051;
}
.call-box h4 {
    font-size: 1.3em;
    text-transform: uppercase;
    font-weight: 400;
    margin-bottom: 20px;
}
.call-box p {
    font-weight: 300;
}


/* *******Hot sales carousel****** */


#carousel h1 {    
    text-align: center;
    margin: 50px 0 20px 0;   
    transform: rotateX(45deg) rotateZ(0deg);
    font-family: 'Fredoka', sans-serif;
    font-size: 7em;
    color: #f5f5f5;
    animation: floatImage 2s ease-in-out infinite;
    text-shadow: white 0.006em 0.006em 0.007em,
        #9c9c9c 1px 1px 1px, #9c9c9c 1px 2px 1px,
        #9c9c9c 1px 4px 1px, #9c9c9c 1px 3px 1px,
        #9c9c9c 1px 5px 1px, #9c9c9c 1px 6px 1px,
        #9c9c9c 1px 7px 1px, #9c9c9c 1px 8px 1px,
        #9c9c9c 1px 10px 1px, #9c9c9c 1px 9px 1px,
        #9c9c9c 1px 12px 1px, #9c9c9c 1px 11px 1px,
        #9c9c9c 1px 13px 1px,
        rgba(16, 16, 16, 0.5) 1px 50px 16px,
        rgba(16, 16, 16, 0.2) 1px 55px 10px,
        rgba(16, 16, 16, 0.2) 1px 56px 35px,
        rgba(16, 16, 16, 0.4) 1px 70px 65px,
        rgba(16, 16, 16, 0.4) 1px 70px 165px,
        white -0.15em -0.1em 100px;
}


/* .home-img img {
    width: 33vw;
    animation: floatImage 4s ease-in-out infinite;
} */

@keyframes floatImage {
    0% {
        transform: translateY();
    }
    50% {
        transform: translateY(-1.4rem);
    }
    100% {
        transform: translateY();
    }
}



/* ******Carousel****** */


.carousel{
    position: relative;
    height: 100vh;
    /* margin-top: 50px; */
    overflow: hidden;    
    font-family: Poppins;
}
.carousel .list{
    position: absolute;
    width: 1140px;
    max-width: 90%;
    height: 80%;
    left: 50%;
    transform: translateX(-50%);
}
.carousel .list .item{
    position: absolute;
    left: 0%;
    width: 70%;
    height: 100%;
    font-size: 15px;
    transition: left 0.5s, opacity 0.5s, width 0.5s;
}
.carousel .list .item:nth-child(n + 6){
    opacity: 0;
}
.carousel .list .item:nth-child(2){
    z-index: 10;
    transform: translateX(0);
}
.carousel .list .item img{
    width: 50%;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: right 1.5s;
}

.carousel .list .item .introduce{
    opacity: 0;
    pointer-events: none;
}
.carousel .list .item:nth-child(2) .introduce{
    opacity: 1;
    pointer-events: auto;
    width: 400px;
    position: absolute;
    top: 50%;
    transform:  translateY(-50%);
    transition: opacity 0.5s;
}
.carousel .list .item .introduce .title{
    font-size: 2em;
    font-weight: 500;
    line-height: 1em;
}
.carousel .list .item .introduce .topic{
    font-size: 4em;
    font-weight: 500;    
    transform: rotateX(60deg) rotateZ(0deg);    
    color: #272527;    
    text-shadow: white 0.006em 0.006em 0.007em,
        #666565 1px 1px 1px, #797979 1px 2px 1px,
        #9c9c9c 1px 4px 1px, #9c9c9c 1px 3px 1px;
        /* #9c9c9c 1px 5px 1px, #9c9c9c 1px 6px 1px */
                
}

.carousel .list .item .introduce .des{
    font-size: small;
    color: #5559;
}
.carousel .list .item .introduce .seeMore{
    font-family: Poppins;
    margin-top: 1.2em;
    padding: 5px 0;
    border: none;
    border-bottom: 1px solid #555;
    background-color: transparent;
    font-weight: bold;
    letter-spacing: 3px;
    transition: background 0.5s;
}
.carousel .list .item .introduce .seeMore:hover{
    background: #eee;
}
.carousel .list .item:nth-child(1){
    transform: var(--item1-transform);
    filter: var(--item1-filter);
    z-index: var(--item1-zIndex);
    opacity: var(--item1-opacity);
    pointer-events: none;
}
.carousel .list .item:nth-child(3){
    transform: var(--item3-transform);
    filter: var(--item3-filter);
    z-index: var(--item3-zIndex);
}
.carousel .list .item:nth-child(4){
    transform: var(--item4-transform);
    filter: var(--item4-filter);
    z-index: var(--item4-zIndex);
}
.carousel .list .item:nth-child(5){
    transform: var(--item5-transform);
    filter: var(--item5-filter);
    opacity: var(--item5-opacity);
    pointer-events: none;
}
/* animation text in item2 */
.carousel .list .item:nth-child(2) .introduce .title,
.carousel .list .item:nth-child(2) .introduce .topic,
.carousel .list .item:nth-child(2) .introduce .des,
.carousel .list .item:nth-child(2) .introduce .seeMore{
    opacity: 0;
    animation: showContent 0.5s 1s ease-in-out 1 forwards;
}
@keyframes showContent{
    from{
        transform: translateY(-30px);
        filter: blur(10px);
    }to{
        transform: translateY(0);
        opacity: 1;
        filter: blur(0px);
    }
}
.carousel .list .item:nth-child(2) .introduce .topic{
    animation-delay: 1.2s;
}
.carousel .list .item:nth-child(2) .introduce .des{
    animation-delay: 1.4s;
}
.carousel .list .item:nth-child(2) .introduce .seeMore{
    animation-delay: 1.6s;
}
/* next click */
.carousel.next .item:nth-child(1){
    animation: transformFromPosition2 0.5s ease-in-out 1 forwards;
}
@keyframes transformFromPosition2{
    from{
        transform: var(--item2-transform);
        filter: var(--item2-filter);
        opacity: var(--item2-opacity);
    }
}
.carousel.next .item:nth-child(2){
    animation: transformFromPosition3 0.7s ease-in-out 1 forwards;
}
@keyframes transformFromPosition3{
    from{
        transform: var(--item3-transform);
        filter: var(--item3-filter);
        opacity: var(--item3-opacity);
    }
}
.carousel.next .item:nth-child(3){
    animation: transformFromPosition4 0.9s ease-in-out 1 forwards;
}
@keyframes transformFromPosition4{
    from{
        transform: var(--item4-transform);
        filter: var(--item4-filter);
        opacity: var(--item4-opacity);
    }
}
.carousel.next .item:nth-child(4){
    animation: transformFromPosition5 1.1s ease-in-out 1 forwards;
}
@keyframes transformFromPosition5{
    from{
        transform: var(--item5-transform);
        filter: var(--item5-filter);
        opacity: var(--item5-opacity);
    }
}
/* previous */
.carousel.prev .list .item:nth-child(5){
    animation: transformFromPosition4 0.5s ease-in-out 1 forwards;
}
.carousel.prev .list .item:nth-child(4){
    animation: transformFromPosition3 0.7s ease-in-out 1 forwards;
}
.carousel.prev .list .item:nth-child(3){
    animation: transformFromPosition2 0.9s ease-in-out 1 forwards;
}
.carousel.prev .list .item:nth-child(2){
    animation: transformFromPosition1 1.1s ease-in-out 1 forwards;
}
@keyframes transformFromPosition1{
    from{
        transform: var(--item1-transform);
        filter: var(--item1-filter);
        opacity: var(--item1-opacity);        
    }
}

/* detail  */
.carousel .list .item .detail{
    opacity: 0;
    pointer-events: none;
}
/* showDetail */
.carousel.showDetail .list .item:nth-child(3),
.carousel.showDetail .list .item:nth-child(4){
    left: 100%;
    opacity: 0;
    pointer-events: none;
}
.carousel.showDetail .list .item:nth-child(2){
    width: 100%;
}
.carousel.showDetail .list .item:nth-child(2) .introduce{
    opacity: 0;
    pointer-events: none;
}
.carousel.showDetail .list .item:nth-child(2) img{
    right: 50%;
}
.carousel.showDetail .list .item:nth-child(2) .detail{
    opacity: 1;
    width: 50%;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    text-align: right;
    pointer-events: auto;
}
.carousel.showDetail .list .item:nth-child(2) .detail .title{
    font-size: 4em;
}
.carousel.showDetail .list .item:nth-child(2) .detail .specifications{
    display: flex;
    gap: 10px;
    width: 100%;
    border-top: 1px solid #5553;
    margin-top: 20px;
}
.carousel.showDetail .list .item:nth-child(2) .detail .specifications div{
    width: 90px;
    text-align: center;
    flex-shrink: 0;
}
.carousel.showDetail .list .item:nth-child(2) .detail .specifications div p:nth-child(1){
    font-weight: bold;
}
.carousel.carousel.showDetail .list .item:nth-child(2) .checkout button{
    font-family: Poppins;
    background-color: transparent;
    border: 1px solid #5555;
    margin-left: 5px;
    padding: 5px 10px;
    letter-spacing: 2px;
    font-weight: 500;
}
.carousel.carousel.showDetail .list .item:nth-child(2) .checkout button:nth-child(2){
    background-color: #693EFF;
    color: #eee;
}
.carousel.showDetail .list .item:nth-child(2) .detail  .title,
.carousel.showDetail .list .item:nth-child(2) .detail  .des,
.carousel.showDetail .list .item:nth-child(2) .detail .specifications,
.carousel.showDetail .list .item:nth-child(2) .detail .checkout{
    opacity: 0;
    animation: showContent 0.5s 1s ease-in-out 1 forwards;
}
.carousel.showDetail .list .item:nth-child(2) .detail  .des{
    animation-delay: 1.2s;
}
.carousel.showDetail .list .item:nth-child(2) .detail .specifications{
    animation-delay: 1.4s;
}
.carousel.showDetail .list .item:nth-child(2) .detail .checkout{
    animation-delay: 1.6s;
}
.arrows{
    position: absolute;
    bottom: 10px;
    width: 1140px;
    max-width: 90%;    
    display: flex;
    justify-content: space-between;
    left: 50%;
    transform: translateX(-50%);
}
#prev,
#next{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-family: monospace;
    color: #ff0051;
    border: 1px solid #ff0051;
    font-size: large;
    bottom: 20%;
    left: 10%;
}
#next{
    left: unset;
    right: 10%;
}
#back{
    position: absolute;
    z-index: 100;
    bottom: 0%;
    left: 50%;
    transform: translateX(-50%);
    border: none;
    border-bottom: 1px solid #555;
    font-family: Poppins;
    font-weight: bold;
    letter-spacing: 3px;
    background-color: transparent;
    padding: 10px;
    opacity: 0;
    transition: opacity 0.5s;
}
.carousel.showDetail #back{
    opacity: 1;
}
.carousel.showDetail #prev,
.carousel.showDetail #next{
    opacity: 0;
    pointer-events: none;
}
.carousel::before {
    width: 500px;
    height: 300px;
    content: '';
    background-image: linear-gradient(70deg, #dc422aad, rgba(0, 0, 255, 0.693));
    position: absolute;
    z-index: 1;
    border-radius: 20% 30% 80% 10%;
    filter: blur(150px);
    top: 50%;
    left: 50%;
    transform: translate(-10%, -50%);
    transition: 1s;
}
.carousel.showDetail::before{
    transform: translate(-100%, -50%) rotate(90deg);
    filter: blur(130px);
}



/* ******PRODUCTS***** */


#products h1 {    
    text-align: center;
    margin: 70px 0 10px 0;   
    transform: rotateX(45deg) rotateZ(0deg);    
    font-size: 5em;
    color: #f5f5f5;    
    text-shadow: white 0.006em 0.006em 0.007em,
        #9c9c9c 1px 1px 1px, #9c9c9c 1px 2px 1px,
        #9c9c9c 1px 4px 1px, #9c9c9c 1px 3px 1px,
        #9c9c9c 1px 5px 1px, #9c9c9c 1px 6px 1px,
        #9c9c9c 1px 7px 1px, #9c9c9c 1px 8px 1px,
        #9c9c9c 1px 10px 1px, #9c9c9c 1px 9px 1px,
        #9c9c9c 1px 12px 1px, #9c9c9c 1px 11px 1px,
        #9c9c9c 1px 13px 1px,
        rgba(16, 16, 16, 0.5) 1px 20px 16px,
        rgba(16, 16, 16, 0.2) 1px 25px 10px,        
        white -0.15em -0.1em 100px;
}

.slide {
    position: relative;
    padding: 100px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 60px;
    width: 100%;
    overflow: hidden;
}
#nav-tabs {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 50px;     
   
}
#nav-tabs li {
    text-transform: uppercase;
    cursor: pointer;
    letter-spacing: 1px;
    position: relative;   
}
#nav-tabs li::before {
    position: absolute;
    content: '';
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    height: 3px;
    background: #ff0051;
    visibility: hidden;
    opacity: 0;
    transition: 0.5s;
    z-index: 1000;
}
#nav-tabs li:hover::before,
#nav-tabs li.active::before {
    visibility: visible;
    opacity: 1;
}

.content-tabs{    
    min-height: 300px;
    width: 100vw;    
}
.content-tabs .tab{
    display: none;
}
.content-tabs .tab.active{
    padding: 0 100px;
    display: grid;    
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 45px;
    justify-content: center;
    animation: showcontent 0.5s ease-in-out 1;
}
@keyframes showcontent{
    from{
        opacity: 0;
        transform: translateY(100px);
    }to{
        opacity: 1;
        transform: translateY(0);
    }
}


/* ******Card pop out***** */

/*****Card****/

.card__article {
  position: relative;
  overflow: hidden;  
}

.card__img {
  width: 100%;
  border-radius: 1.5rem;
  height: 400px; 
}

.card__data {
  width: auto;
  height: 35%;
  background-color: hsl(0, 0%, 100%);
  padding: 1.5rem 2rem;
  box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
  border-radius: 1rem;
  position: absolute;
  bottom: -9rem;
  left: 0;
  right: 0;
  margin: 0 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  opacity: 0;
  transition: opacity 1s 1s;
}
.card__data span {
    color: #aba9aa;
    font-size: 0.7em;
}


.card__description {
    color: hsl(0, 0%, 35%);
    display: block;
    font-size: 1em;
    margin-bottom: .25rem;
}

.card__title {
  font-size: 2em;
  font-weight: 500;
  color: hsl(0, 0%, 15%);
  margin-bottom: .75rem;
}

.card__button {  
  font-size: 0.863rem;
  font-weight: 500;
  color: hsl(82, 60%, 28%);
}

.card__button:hover {
  text-decoration: underline;
}

/* details animations in hover */

.card__article:hover .card__data {
  animation: show-data 1s forwards;
  opacity: 1;
  transition: opacity .3s;
}

.card__article:hover {
  animation: remove-overflow 2s forwards;
}

.card__article:not(:hover) {
  animation: show-overflow 2s forwards;
}

.card__article:not(:hover) .card__data {
  animation: remove-data 1s forwards;
}

/* Card animation */
@keyframes show-data {
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(-7rem);
  }
}

@keyframes remove-overflow {
  to {
    overflow: initial;
  }
}

@keyframes remove-data {
  0% {
    transform: translateY(-7rem);
  }
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(.5rem);
  }
}

@keyframes show-overflow {
  0% {
    overflow: initial;
    pointer-events: none;
  }
  50% {
    overflow: hidden;
  }
}

.slide .More{
    font-family: Poppins;
    margin-top: 1.2em;
    padding: 5px 0;
    border: none;
    border-bottom: 1px solid #555;
    background-color: transparent;
    font-weight: bold;
    letter-spacing: 3px;
    transition: 0.5s;
    cursor: pointer;
}
.slide .More:hover{
    transform: scale(1.1);    
}


/* ******Sign Up****** */

#sign {
    position: relative;
    padding: 0 20px;
    margin: 100px 100px 0;
    border-radius: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 80px;
    height: 120px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.12);
    background: #f6d3f2;    
}
.sign-box {
    width: 30%;
    display: flex;
    align-items: center;
    gap: 20px;
}
.sign-box ion-icon {
    font-size: 3em;
    color: #ff0051;
}
.sign-box h4 {
    text-transform: uppercase;
    font-size: 1.2em;
    font-weight: 500;
    initial-letter: 1px;
}
#sign p {
    width: 30%;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
}
#sign .discount {
    font-size: 4em;
    font-weight: 500;
    color: #ff0051;
    margin-left: 10px;
}

#sign form {
    width: 40%;
    display: inline-flex;
    justify-content: flex-end;
}
#sign form input[type='text'] {
    outline: none;
    border: 1px solid #3a3a3a;
    width: 400px;
    padding: 10px 20px;
}
#sign form input[type='submit'] {
    outline: none;
    border: 1px solid #ff0051;
    padding: 10px 30px;
    background: #ff0051;
    color: #FFFFFF;
    text-transform: uppercase;
    transition: 0.5s;
}
#sign form input[type='submit']:hover {
    background: #FFFFFF;
    color: #ff0051;
}


/* ********Reviews******* */


/* *****Contact***** */

#contact {
    position: relative;
    padding: 100px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;    
}
.contain {
    margin: 80px 0;
    width: 80%;
    border-radius: 25px;
    display: flex;
    justify-content: space-between;
    padding: 30px 50px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.12);    
    background: #f9d1f4;
}

.contain .info ion-icon {
    color: #FFFFFF;
    float: left;
    padding: 10px;
    width: 40px;
    height: 40px;
    background: #ff0051;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    transition: 0.5s;
}
.contain .info h4 {
    padding: 0 0 0 80px;
    font-size: 1.2em;
    font-weight: 500;
    margin-bottom: 5px;
}
.contain .info p {
    padding: 0 0 0 80px;
    font-size: 1em;
    font-weight: 300;
}

/* ***Form*** */

.contact-form {
    width: 80%;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.12);
    background: #f9d1f4;
    padding: 30px 50px;
    margin-top: 20px;
    border-radius: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.contact-form h2 {
    text-transform: uppercase;
    font-size: 2em;
    margin: 20px;
}
form {
    width: 100%;
}
    form .book, form textarea {
    width: 100%;
    outline: none;
    border: 0;
    background: #f9e9f7;
    color: #fff;
    border-radius: 6px;
    padding: 15px;
    margin: 15px 0;
    font-size: 18px;
}
form textarea {
    resize: none;
}
.btn {    
    display: block;
    background: #ff0051;
    cursor: pointer;
    border-radius: 6px;
    font-size: 16px;
    margin: 3.125rem auto;
    border: 2px solid #ff0051;
    width: fit-content;
    padding: 14px 3.125rem;
    text-decoration: none;
    color: #fff;
    transition: 0.5s;
}
.btn:hover {
    background: #FFFFFF;
    color: #ff0051;
}
#msg {
    display: block;
    margin-top: -10px;
    color: #61b752;
}


/* ******Footer******* */

footer {
    position: relative;
}

.footer-actions {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    padding: 5.25rem 4vw 0;
    position: relative;
    flex-shrink: 0;
    margin-bottom: 6rem;
}

/* footer menu NAVIGATIONS */

.footer-menu {
    width: 29vw;
}
.footer-menu ul {
    padding: 0;
}

.footer-menu-title {
    font-family: Baskerville;
    font-weight: 100;
    font-size: 2.25rem;
    line-height: 3.0625rem;
    color: #000;
}
.footer-actions ul {
    margin-top: 1.75rem;
    letter-spacing: .1em;
    text-transform: uppercase;
    font-family: 'IBM Plex Sans Condensed', sans-serif;
}
.footer-actions ul li {
    margin-top: 1.25rem;
}
.footer-menu-text ul li {
    float: left;
    width: 50%;
    position: relative;   
    font-size: 0.75rem;
}
.footer-menu-text ul li a {
    color: #9d9998;

}
.footer-menu-text ul li a:hover {
    color: #ff0051;
}

/* footer wholesales call action */

.footer-wholesales {
    position: relative;
    width: 43vw;
}
.footer-wholesales-title {
    font-family: Baskerville;
    font-size: 2.25rem;
    line-height: 3.0625rem;
    color: #000;
}
.wholesale {
    margin-top: 1.0625rem;    
    overflow: hidden;
    position: relative;
    width: 78%;  
}
.wholesale input {
    padding: 15px 0;    
    border: 0;
    border-bottom: 1px solid rgba(0,0,0,.1);
    font-size: .875rem;
    line-height: normal;
    color: #000;
    width: 100%;
    outline: none;
    background: #fff;  
}

#request-btn {
    position: absolute;
    top: 3.2rem;    
    right: 0;
    bottom: auto;
    left: auto;
    height: 40%;
    background: 0 0;
    border: 0;
    outline: 0;
    font-size: .75rem;
    letter-spacing: .1em;
    text-transform: uppercase;
    color: #000;
    cursor: pointer;     
}

#request-btn:hover {
    transform: none;
}

#msg {
    display: block;
    margin-top: -10px;
    color: #61b752;
}

/* footer social link */

.footer-socials {
    width: 20vw;
}
.footer-socials-title {
    font-family: Baskerville;
    font-size: 2.25rem;
    line-height: 3.0625rem;
    color: #000;
}
.footer-socials-text ul li {
    margin-top: 1.25rem;    
    font-size: 0.75rem;
}
.footer-socials ul {
    float: left;
    width: 100%;
    padding: 0;
}
.footer-socials-text ul li a {
    color: #9d9998;

}
.footer-socials-text ul li a:hover {
    color: #ff0051;
}

/* footer and copyright */

.footer-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;    
    margin-top: 6.25rem;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.12);
    padding: 0 4vw;
    height: 7.5rem;
    background: #f6f6f6;
    color: #929292;
    font-size: .875rem;
    line-height: 1.5rem;    
}
.footer-footer a {
    color: #ff0051;
}
.footer-watermark {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 12vw;
}

/* back to top */

.icontop {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 10px;
    bottom: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    padding: 10px;
    background: #ff0051;
    border-radius: 10px;
    transition: .5s ease;
    color: #FFFFFF;
    z-index: 1200;
}
.icontop.active {
    visibility: visible;
    opacity: 1;
}

.icontop:hover {
    box-shadow: 0 0 20px #ff0051;
}

.icontop ion-icon {
    font-size: 2em;    
}


/* ***********************ALL PRODUCTS PAGE********************* */

.header2 {
    background:#00000053
}
.icontop2 {
    visibility: visible;
    opacity: 1;
    background: #ff0051;
    z-index: 1200;    
}

****Review****
#review {
    box-sizing: content-box;
}
.conta {
    display: flex;
    justify-content: center;
    align-items: center;
}
.shift{
    position: relative;
    margin-top: 100px;
    width: 100%;
    height: 370px;
    overflow: hidden;
}
.itm{
    position: absolute;
    width: 300px;
    height: 320px;
    text-align: justify;
    background-color: #fff;
    color: black;
    border-radius: 10px;
    padding: 20px;
    transition:  0.5s;
    left: calc(50% - 110px);
    top: 0;
}
.itm h1 {
    margin: 15px 0;
}
#forward{
    position: absolute;
    right: 50px;
    top: 40%;
}
#backward{
    position: absolute;
    left: 50px;
    top: 40%;
}
#backward, #forward{
    color: #fff;
    background: none;
    border: none;
    font-size: xxx-large;
    font-family: monospace;
    font-weight: bold;
    opacity: 0.5;
    transition: opacity 0.5s;
}
#backward:hover,
#forward:hover{
    opacity: 1;
}



/* ********MOBILE VIEW********** */

@media screen and (max-width: 991px){
    /* ipad, tablets */
    .carousel .list .item{
        width: 90%;
    }
    .carousel.showDetail .list .item:nth-child(2) .detail .specifications{
        overflow: auto;
    }
    .carousel.showDetail .list .item:nth-child(2) .detail .title{
        font-size: 2em;
    }
}
@media screen and (max-width: 767px){
    /* mobile */
    .carousel{
        height: 600px;
    }
    .carousel .list .item{
        width: 100%;
        font-size: 10px;
    }
    
    .carousel .list{
        height: 100%;
    }
    .carousel .list .item:nth-child(2) .introduce{
        width: 50%;
    }
    
    .carousel .list .item img{
        width: 40%;
    }
    .carousel.showDetail .list .item:nth-child(2) .detail{
        backdrop-filter: blur(10px);
        font-size: small;
    }
    .carousel .list .item:nth-child(2) .introduce .des,
    .carousel.showDetail .list .item:nth-child(2) .detail .des{
        height: 100px;
        overflow: auto;
    }
    .carousel.showDetail .list .item:nth-child(2) .detail .checkout{
        display: flex;
        width: max-content;
        float: right;
    }
}

@media (max-width: 800px){
    #header {
        padding: 30px 20px;
    }

    #header.header-scroll {
        padding: 15px 20px;
        background: rgba(0, 0, 0, 0.8);
        backdrop-filter: blur(20px);
    }
    .nav {
        display: none;
    }
    .utilities {
        display: none;
    }
    .menu {
        display: block;
    }

    /* ****Hero**** */
    #hero {
        padding: 0 20px;
    }
    .office {        
        height: 40%;
        width: 100%;
        clip-path: polygon(0% 0%, 100% 0, 100% 75%, 50% 100%, 0 75%);       
    }
    .casual {   
        top: 30%;    
        left: 0;
        height: 40%;
        width: 100%;
        clip-path: polygon(100% 0, 100% 100%, 50% 75%, 0% 100%, 0 0, 50% 25%);        
    }
    .special { 
        top: 60%;    
        left: 0;      
        height: 40%;
        width: 100%;
        clip-path: polygon(50% 0, 100% 25%, 100% 100%, 0 100%, 0 25%);
    }
    #hero.left .office,
    #hero.middle .casual,
    #hero.right .special {
        height: 100%;        
    }
    #hero.right .special {
        top: 0;
    }
    #hero.middle .casual {
        top: 0;
    }
    #hero.left .casual,
    #hero.left .special {
        top: 120%;
    }
    #hero.right .office,
    #hero.right .casual {
        top: -120%;
    }
    #hero.middle .office {
        top: -120%;
    }
    #hero.middle .special {
        top: 120%;
    }

    .switch {
        font-size: 4em;
        margin-top: 0;
    }

    #hero.left .office img {
        height: 50%;
        width: 100% !important;
    }
    #hero.middle .casual img,
    #hero.right .special img {
        left: 0;
        top: 50%;
        height: 50%;
        width: 100% !important;
    }

    #hero .content h1 {
        font-size: 2.5em;
        font-weight: 400;
    }

    .office .content {
        left: 20px;
        top: 60%;
    }
    .casual .content,
    .special .content {
        left: 20px;
        top: 15%;
    }
    .reset {
        left: 20px;
        bottom: 20px;
    }
    .reset ion-icon {
        font-size: 2em;
    }

    /* ***Call to action*** */

    
    section.call {        
        padding: 0 20px;
        flex-wrap: wrap;
        justify-content: space-between;        
        gap: 30px;
    }

    /* ***About*** */

    .about {
        padding: 10px 10px 0;
        flex-wrap: wrap;
    }
    .about .left,
    .about .right,
    .promotion,
    .discovery {
        width: 100%;
    }

    /* ***Product*** */
    #nav-tabs {
        gap: 25px;
    }
    .content-tabs .tab.active {
        padding: 0 30px;
    }
    

    /* **Sign up** */

    #sign {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        height: auto;
        padding: 20px;
        margin: 10px;
        gap: 20px;
    }
    #sign p {
        width: 100%;
    }
    #sign form {
        width: 100%;
        display: block;
    }
    #sign form input[type='text'] {
        width: 250px;
    }
    .sign-box {
        width: 100%;
    }

    /* **Contact** */

    #contact {
        padding: 50px 0 0;
    }
    #contact .contain {
        flex-wrap: wrap;
        width: 90%;
        gap: 30px;
        padding: 10px 20px;
    }
    #contact .contact-form {
        width: 90%;
        border-radius: 5%;
        padding: 0 20px;
    }
    form .book, form textarea {        
        margin: 5px 0;      
    }    
    .btn {       
        font-size: 16px;
        margin: 20px auto;        
        padding: 14px 35px;        
    }

    /* ***Footer*** */

    #footer {
        padding: 20px;
    }
    .footer-footer {
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
    }
}

